Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.analysis
Class BinaryFunction

    java.lang.Object
      org.apache.commons.math.analysis.BinaryFunction

All Implemented Interfaces:
  BivariateRealFunction

Deprecated. in 2.2

    @Deprecated
    public abstract class BinaryFunction

extends Object
implements BivariateRealFunction

Base class for `BivariateRealFunction` that can be composed with other functions.

Since:
  2.1
Version:
  $Revision: 1073498 $ $Date: 2011-02-22 21:57:26 +0100 (mar. 22 fÃ©vr. 2011) $

Field Summary
`static BinaryFunction` | `ADD` Deprecated. The + operator method wrapped as a `BinaryFunction`.
`static BinaryFunction` | `ATAN2` Deprecated. The `FastMath.atan2` method wrapped as a `BinaryFunction`.
`static BinaryFunction` | `DIVIDE` Deprecated. The / operator method wrapped as a `BinaryFunction`.
`static BinaryFunction` | `MULTIPLY` Deprecated. The * operator method wrapped as a `BinaryFunction`.
`static BinaryFunction` | `POW` Deprecated. The `FastMath.pow` method wrapped as a `BinaryFunction`.
`static BinaryFunction` | `SUBTRACT` Deprecated. The - operator method wrapped as a `BinaryFunction`.

Constructor Summary
`BinaryFunction()` Deprecated.

Method Summary
`ComposableFunction` | `fix1stArgument(double fixedX)` Deprecated. Get a composable function by fixing the first argument of the instance.
`ComposableFunction` | `fix2ndArgument(double fixedY)` Deprecated. Get a composable function by fixing the second argument of the instance.
`abstract double` | `value(double x, double y)` Deprecated. Compute the value for the function.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ADD

    public static final BinaryFunction ADD

  Deprecated.
  The + operator method wrapped as a `BinaryFunction`.

### SUBTRACT

    public static final BinaryFunction SUBTRACT

  Deprecated.
  The - operator method wrapped as a `BinaryFunction`.

### MULTIPLY

    public static final BinaryFunction MULTIPLY

  Deprecated.
  The * operator method wrapped as a `BinaryFunction`.

### DIVIDE

    public static final BinaryFunction DIVIDE

  Deprecated.
  The / operator method wrapped as a `BinaryFunction`.

### POW

    public static final BinaryFunction POW

  Deprecated.
  The `FastMath.pow` method wrapped as a `BinaryFunction`.

### ATAN2

    public static final BinaryFunction ATAN2

  Deprecated.
  The `FastMath.atan2` method wrapped as a `BinaryFunction`.

Constructor Detail

### BinaryFunction

    public BinaryFunction()

  Deprecated.

Method Detail

### value

    public abstract double value(double x,
                                 double y)
                          throws FunctionEvaluationException

  Deprecated.
  Compute the value for the function.

  Specified by:
    `value` in interface `BivariateRealFunction`
  Parameters:
    `x` - Abscissa for which the function value should be computed.
    `y` - Ordinate for which the function value should be computed.
  Returns:
    the value.
  Throws:
    `FunctionEvaluationException` - if the function evaluation fails.

### fix1stArgument

    public ComposableFunction fix1stArgument(double fixedX)

  Deprecated.
  Get a composable function by fixing the first argument of the instance.

  Parameters:
    `fixedX` - fixed value of the first argument
  Returns:
    a function such that `f.value(y) == value(fixedX, y)`

### fix2ndArgument

    public ComposableFunction fix2ndArgument(double fixedY)

  Deprecated.
  Get a composable function by fixing the second argument of the instance.

  Parameters:
    `fixedY` - fixed value of the second argument
  Returns:
    a function such that `f.value(x) == value(x, fixedY)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2011 The Apache Software Foundation. All Rights Reserved.